xcb_ungrab_button(3)

NAME
xcb_ungrab_button -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_ungrab_button(xcb_connection_t *conn, uint8_t button, xcb_window_t grab_window, uint16_t modifiers);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

button
    One of the following values:

    XCB_BUTTON_INDEX_ANY
        Any of the following (or none):

    XCB_BUTTON_INDEX_1
        The left mouse button.

    XCB_BUTTON_INDEX_2
        The right mouse button.

    XCB_BUTTON_INDEX_3
        The middle mouse button.

    XCB_BUTTON_INDEX_4
        Scroll wheel. TODO: direction?

    XCB_BUTTON_INDEX_5
        Scroll wheel. TODO: direction?
    TODO: NOT YET DOCUMENTED.

grab_window
    TODO: NOT YET DOCUMENTED.

modifiers
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_ungrab_button_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.